# Korn shell commands to define IDL environment variables and aliases.
#
# This script can be used by IDL users who use ksh as their interactive shell
# to define the environment variables and aliases required by IDL
# related commands (idl, idlde, idlhelp, idldemo) if the symbolic links to
# the default directory (/usr/local/itt/idl) are not being used.
#
# ksh users should run idl_setup from their .profile file 
# using the following command:
#
#    . /sware/com/idl-7.0/idl70/bin/idl_setup.ksh
#
ITT_DIR=/sware/com/idl-7.0
IDL_DIR=/sware/com/idl-7.0/idl70
export IDL_DIR ITT_DIR
alias -x ittlicense=$IDL_DIR/bin/ittlicense
alias -x idl=$IDL_DIR/bin/idl
alias -x idlde=$IDL_DIR/bin/idlde
alias -x idlhelp=$IDL_DIR/bin/idlhelp
alias -x idlman=$IDL_DIR/bin/idlman
alias -x idlrpc=$IDL_DIR/bin/idlrpc
alias -x idldemo=$IDL_DIR/bin/idldemo
